<!DOCTYPE html>
<html>

<head>
    <title> Delete User</title>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
</head>

<body>
    <center>
        <h1>Delete User</h1>
    </center>
    <table align="center">
        <tr>
            <td>User ID : </td>
            <td>
                <input type="text" name="uid" id="uid">
            </td>
        </tr>
        <td align="center"><input type="button" value="Delete" id="delete"></td>
    </table>
    &emsp; <a href="/"> HOME </a> &emsp;
    &emsp; <a href="users/show"> Show All Users </a> &emsp;
    <div id="result" align="center"></div>

</body>

</html>
<script>
    $("#delete").click(() => {
        let uid = document.getElementById('uid').value;
        $.ajax({
            method: 'GET',
            url: "users/delete?id=" + uid,
        }).done((msg) => {
            console.log(msg);
            $('#result').html(msg);
        }).catch((err) => {
            console.log(err);
            $('#result').html(err);
        });
    });
</script>